Better SplitButton Class Reference |

# BetterSplitButton Members

BetterSplitButton overview

#### Public Instance Constructors

BetterSplitButton Constructor | Intialize a new BetterSplitButton instance.

#### Public Instance Properties

AlwaysDropDown | Indicates whether the BetterSplitButton always shows the drop-down menu even if the non-split part is clicked.
AutoEllipsis | This property controls the activation handling of bleedover for the text that extends beyond the width of the button.
AutoSize | Indicates whether the control is automatically resized to fit its contents.
AutoSizeMode | Allows the control to optionally shrink when AutoSize is true.
BackColor | For buttons whose FlatStyle is FlatStyle.Flat, determines the appearance of the border and the colors used to indicate its state.
BlockEnterAndSpaceBar | Indicates whether the button reacts to Enter and Space keys.
ContextMenuStrip | ContextMenuStrip associated with this control.
DialogResult | The dialog-box result produced in a modal form by clicking the button.
DoubleClickEnabled | Indicates whether the double click event is raised on the BetterSplitButton.
FlatAppearance | For buttons whose FlatStyle is FlatStyle.Flat, determines the appearance of the border and the colors used to indicate its state.
FlatStyle | Gets or sets the visual style of the button.
Image | Gets or sets the image that is displayed on a button control.
ImageAlign | The alignment of the image that will be displayed on the control.
ImageIndex | The index of the image in the ImageList to display on the control.
ImageKey | Gets or sets the image list index key of the image displayed on the button control.
ImageList | Gets or sets the ImageList that contains the Image displayed on a button control.
SplitGlyphScaling | Split are glyph scaling factor.
SplitImageList | ImageList for the split button part.
SplitSize | Split part width in pixels.
Text | Gets or sets the text caption displayed in the button.
TextAlign | Gets or sets the alignment of the text on the button control.
TextImageRelation | Specifies the relatice location of the image to the text on the button.
UseCompatibleTextRendering | Specifies whether text rendering shoud be compatible with previous releases of Windows Forms.
UseMnemonic | Gets or sets a value indicating whether an ampersand (&) included in the text of the control.
UseVisualStyleBackColor | Determines whether the backgrount is drawn using visual styles, if visual styles are supported.

#### Public Instance Methods

NotifyDefault | Notifies a control that it is the default button so that its appearance and behavior is adjusted accordingly.
PerformClick | Generates a Click event for the control.
Refresh | Forces the control to invalidate its client area and immediately redraw itself and any child controls.

#### Public Instance Events

AutoSizeChanged | Occurs when AutoSize property has changed.
BeforeMenuShown | Occurs before the context menu is shown.
SplitButtonClick | Occurs when the split part is clicked.
SplitButtonDoubleClick | Occurs when the split part is double-clicked.

#### Protected Instance Properties

DefaultSize | Gets the default size of the control.

#### Protected Instance Methods

OnBeforeMenuShown | Raises the BeforeMenuShown event.
OnClick | Invokes context menu if the mouse is in split area or if AlwaysDropDown is set true; otherwise, invokes click event.
OnDoubleClick | Invokes context menu if the mouse is in split area or if AlwaysDropDown is set true; otherwise, invokes double-click event. DoubleClickEnabled must be set true; othervise, takes no action.
OnEnabledChanged | Refreshes the state of the button including the split part.
OnGotFocus | Refreshes the split part of the button after focussed.
OnKeyDown | Updates state of the split part of the button as the Space key is hit.
OnKeyUp | Invokes the context menu if CTRL-Space (or Space-CTRL) is pressed.
OnLostFocus | Refreshes the split part of the button after focus is lost.
OnMouseCaptureChanged | Refreshes the button after capture is lost.
OnMouseDown | Ivokes appropriate action depending on the mouse position and the AlwaysDropDown property.
OnMouseLeave | Updates the state of the split part as the mouse leaves.
OnMouseMove | Updates the state of the split part on mouse-over.
OnMouseUp | Refreshes state of the split part.
OnPaint | Draws the BetterSplitButton into the parent.
OnSplitButtonClick | Raises the SplitButtonClick event.
OnSplitButtonDoubleClick | Raises the SplitButtonDoubleClick event.
ProcessCmdKey | Filters the Enter and Space key if BlockEnterAndSpaceBar is set true.
ProcessMnemonic | Invokes a click event if correct mnemonic key is pressed.

#### See Also

BetterSplitButton Class | ComponentOwl.BetterSplitButton Namespace